Index: /pykota/trunk/bin/pkinvoice
===================================================================
--- /pykota/trunk/bin/pkinvoice (revision 3067)
+++ /pykota/trunk/bin/pkinvoice (revision 3069)
@@ -94,5 +94,5 @@
   used, a wildcard of '*' is assumed, meaning include all users.
   
-  Dates formating with --start and --end :
+  Dates formatting with --start and --end :
   
     YYYY : year boundaries
Index: /pykota/trunk/man/sv_SE/pkinvoice.1
===================================================================
--- /pykota/trunk/man/sv_SE/pkinvoice.1 (revision 3065)
+++ /pykota/trunk/man/sv_SE/pkinvoice.1 (revision 3069)
@@ -59,5 +59,5 @@
 used, a wildcard of '*' is assumed, meaning include all users.
 .IP
-Dates formating with \fB\-\-start\fR and \fB\-\-end\fR :
+Dates formatting with \fB\-\-start\fR and \fB\-\-end\fR :
 .IP
 YYYY : year boundaries
Index: /pykota/trunk/man/sv_SE/pkrefund.1
===================================================================
--- /pykota/trunk/man/sv_SE/pkrefund.1 (revision 3065)
+++ /pykota/trunk/man/sv_SE/pkrefund.1 (revision 3069)
@@ -54,4 +54,22 @@
 Job's date of printing
 .IP
+Dates formatting with 'start' and 'end' filter keys :
+.IP
+YYYY : year boundaries
+YYYYMM : month boundaries
+YYYYMMDD : day boundaries
+YYYYMMDDhh : hour boundaries
+YYYYMMDDhhmm : minute boundaries
+YYYYMMDDhhmmss : second boundaries
+yesterday[+\-NbDays] : yesterday more or less N days (e.g. : yesterday\-15)
+today[+\-NbDays] : today more or less N days (e.g. : today\-15)
+tomorrow[+\-NbDays] : tomorrow more or less N days (e.g. : tomorrow\-15)
+now[+\-NbDays] : now more or less N days (e.g. now\-15)
+.IP
+\&'now' and 'today' are not exactly the same since today represents the first
+or last second of the day depending on if it's used in a start= or end=
+date expression. The utility to be able to specify dates in the future is
+a question which remains to be answered :\-)
+.IP
 Contrary to other PyKota management tools, wildcard characters are not
 expanded, so you can't use them.
Index: /pykota/trunk/man/pkinvoice.1
===================================================================
--- /pykota/trunk/man/pkinvoice.1 (revision 3065)
+++ /pykota/trunk/man/pkinvoice.1 (revision 3069)
@@ -59,5 +59,5 @@
 used, a wildcard of '*' is assumed, meaning include all users.
 .IP
-Dates formating with \fB\-\-start\fR and \fB\-\-end\fR :
+Dates formatting with \fB\-\-start\fR and \fB\-\-end\fR :
 .IP
 YYYY : year boundaries
Index: /pykota/trunk/man/de/pkinvoice.1
===================================================================
--- /pykota/trunk/man/de/pkinvoice.1 (revision 3065)
+++ /pykota/trunk/man/de/pkinvoice.1 (revision 3069)
@@ -59,5 +59,5 @@
 used, a wildcard of '*' is assumed, meaning include all users.
 .IP
-Dates formating with \fB\-\-start\fR and \fB\-\-end\fR :
+Dates formatting with \fB\-\-start\fR and \fB\-\-end\fR :
 .IP
 YYYY : year boundaries
Index: /pykota/trunk/man/de/pkrefund.1
===================================================================
--- /pykota/trunk/man/de/pkrefund.1 (revision 3065)
+++ /pykota/trunk/man/de/pkrefund.1 (revision 3069)
@@ -54,4 +54,22 @@
 Job's date of printing
 .IP
+Dates formatting with 'start' and 'end' filter keys :
+.IP
+YYYY : year boundaries
+YYYYMM : month boundaries
+YYYYMMDD : day boundaries
+YYYYMMDDhh : hour boundaries
+YYYYMMDDhhmm : minute boundaries
+YYYYMMDDhhmmss : second boundaries
+yesterday[+\-NbDays] : yesterday more or less N days (e.g. : yesterday\-15)
+today[+\-NbDays] : today more or less N days (e.g. : today\-15)
+tomorrow[+\-NbDays] : tomorrow more or less N days (e.g. : tomorrow\-15)
+now[+\-NbDays] : now more or less N days (e.g. now\-15)
+.IP
+\&'now' and 'today' are not exactly the same since today represents the first
+or last second of the day depending on if it's used in a start= or end=
+date expression. The utility to be able to specify dates in the future is
+a question which remains to be answered :\-)
+.IP
 Contrary to other PyKota management tools, wildcard characters are not
 expanded, so you can't use them.
Index: /pykota/trunk/man/nb_NO/pkinvoice.1
===================================================================
--- /pykota/trunk/man/nb_NO/pkinvoice.1 (revision 3065)
+++ /pykota/trunk/man/nb_NO/pkinvoice.1 (revision 3069)
@@ -59,5 +59,5 @@
 used, a wildcard of '*' is assumed, meaning include all users.
 .IP
-Dates formating with \fB\-\-start\fR and \fB\-\-end\fR :
+Dates formatting with \fB\-\-start\fR and \fB\-\-end\fR :
 .IP
 YYYY : year boundaries
Index: /pykota/trunk/man/nb_NO/pkrefund.1
===================================================================
--- /pykota/trunk/man/nb_NO/pkrefund.1 (revision 3065)
+++ /pykota/trunk/man/nb_NO/pkrefund.1 (revision 3069)
@@ -54,4 +54,22 @@
 Job's date of printing
 .IP
+Dates formatting with 'start' and 'end' filter keys :
+.IP
+YYYY : year boundaries
+YYYYMM : month boundaries
+YYYYMMDD : day boundaries
+YYYYMMDDhh : hour boundaries
+YYYYMMDDhhmm : minute boundaries
+YYYYMMDDhhmmss : second boundaries
+yesterday[+\-NbDays] : yesterday more or less N days (e.g. : yesterday\-15)
+today[+\-NbDays] : today more or less N days (e.g. : today\-15)
+tomorrow[+\-NbDays] : tomorrow more or less N days (e.g. : tomorrow\-15)
+now[+\-NbDays] : now more or less N days (e.g. now\-15)
+.IP
+\&'now' and 'today' are not exactly the same since today represents the first
+or last second of the day depending on if it's used in a start= or end=
+date expression. The utility to be able to specify dates in the future is
+a question which remains to be answered :\-)
+.IP
 Contrary to other PyKota management tools, wildcard characters are not
 expanded, so you can't use them.
Index: /pykota/trunk/man/pt_BR/pkinvoice.1
===================================================================
--- /pykota/trunk/man/pt_BR/pkinvoice.1 (revision 3065)
+++ /pykota/trunk/man/pt_BR/pkinvoice.1 (revision 3069)
@@ -59,5 +59,5 @@
 used, a wildcard of '*' is assumed, meaning include all users.
 .IP
-Dates formating with \fB\-\-start\fR and \fB\-\-end\fR :
+Dates formatting with \fB\-\-start\fR and \fB\-\-end\fR :
 .IP
 YYYY : year boundaries
Index: /pykota/trunk/man/pt_BR/pkrefund.1
===================================================================
--- /pykota/trunk/man/pt_BR/pkrefund.1 (revision 3065)
+++ /pykota/trunk/man/pt_BR/pkrefund.1 (revision 3069)
@@ -54,4 +54,22 @@
 Job's date of printing
 .IP
+Dates formatting with 'start' and 'end' filter keys :
+.IP
+YYYY : year boundaries
+YYYYMM : month boundaries
+YYYYMMDD : day boundaries
+YYYYMMDDhh : hour boundaries
+YYYYMMDDhhmm : minute boundaries
+YYYYMMDDhhmmss : second boundaries
+yesterday[+\-NbDays] : yesterday more or less N days (e.g. : yesterday\-15)
+today[+\-NbDays] : today more or less N days (e.g. : today\-15)
+tomorrow[+\-NbDays] : tomorrow more or less N days (e.g. : tomorrow\-15)
+now[+\-NbDays] : now more or less N days (e.g. now\-15)
+.IP
+\&'now' and 'today' are not exactly the same since today represents the first
+or last second of the day depending on if it's used in a start= or end=
+date expression. The utility to be able to specify dates in the future is
+a question which remains to be answered :\-)
+.IP
 Contrary to other PyKota management tools, wildcard characters are not
 expanded, so you can't use them.
Index: /pykota/trunk/man/fr/pkrefund.1
===================================================================
--- /pykota/trunk/man/fr/pkrefund.1 (revision 3065)
+++ /pykota/trunk/man/fr/pkrefund.1 (revision 3069)
@@ -54,4 +54,22 @@
 Job's date of printing
 .IP
+Dates formatting with 'start' and 'end' filter keys :
+.IP
+YYYY : year boundaries
+YYYYMM : month boundaries
+YYYYMMDD : day boundaries
+YYYYMMDDhh : hour boundaries
+YYYYMMDDhhmm : minute boundaries
+YYYYMMDDhhmmss : second boundaries
+yesterday[+\-NbDays] : yesterday more or less N days (e.g. : yesterday\-15)
+today[+\-NbDays] : today more or less N days (e.g. : today\-15)
+tomorrow[+\-NbDays] : tomorrow more or less N days (e.g. : tomorrow\-15)
+now[+\-NbDays] : now more or less N days (e.g. now\-15)
+.IP
+\&'now' and 'today' are not exactly the same since today represents the first
+or last second of the day depending on if it's used in a start= or end=
+date expression. The utility to be able to specify dates in the future is
+a question which remains to be answered :\-)
+.IP
 Contrary to other PyKota management tools, wildcard characters are not
 expanded, so you can't use them.
Index: /pykota/trunk/man/th/pkinvoice.1
===================================================================
--- /pykota/trunk/man/th/pkinvoice.1 (revision 3065)
+++ /pykota/trunk/man/th/pkinvoice.1 (revision 3069)
@@ -59,5 +59,5 @@
 used, a wildcard of '*' is assumed, meaning include all users.
 .IP
-Dates formating with \fB\-\-start\fR and \fB\-\-end\fR :
+Dates formatting with \fB\-\-start\fR and \fB\-\-end\fR :
 .IP
 YYYY : year boundaries
Index: /pykota/trunk/man/th/pkrefund.1
===================================================================
--- /pykota/trunk/man/th/pkrefund.1 (revision 3065)
+++ /pykota/trunk/man/th/pkrefund.1 (revision 3069)
@@ -54,4 +54,22 @@
 Job's date of printing
 .IP
+Dates formatting with 'start' and 'end' filter keys :
+.IP
+YYYY : year boundaries
+YYYYMM : month boundaries
+YYYYMMDD : day boundaries
+YYYYMMDDhh : hour boundaries
+YYYYMMDDhhmm : minute boundaries
+YYYYMMDDhhmmss : second boundaries
+yesterday[+\-NbDays] : yesterday more or less N days (e.g. : yesterday\-15)
+today[+\-NbDays] : today more or less N days (e.g. : today\-15)
+tomorrow[+\-NbDays] : tomorrow more or less N days (e.g. : tomorrow\-15)
+now[+\-NbDays] : now more or less N days (e.g. now\-15)
+.IP
+\&'now' and 'today' are not exactly the same since today represents the first
+or last second of the day depending on if it's used in a start= or end=
+date expression. The utility to be able to specify dates in the future is
+a question which remains to be answered :\-)
+.IP
 Contrary to other PyKota management tools, wildcard characters are not
 expanded, so you can't use them.
Index: /pykota/trunk/man/pl/pkinvoice.1
===================================================================
--- /pykota/trunk/man/pl/pkinvoice.1 (revision 3065)
+++ /pykota/trunk/man/pl/pkinvoice.1 (revision 3069)
@@ -59,5 +59,5 @@
 used, a wildcard of '*' is assumed, meaning include all users.
 .IP
-Dates formating with \fB\-\-start\fR and \fB\-\-end\fR :
+Dates formatting with \fB\-\-start\fR and \fB\-\-end\fR :
 .IP
 YYYY : year boundaries
Index: /pykota/trunk/man/pl/pkrefund.1
===================================================================
--- /pykota/trunk/man/pl/pkrefund.1 (revision 3065)
+++ /pykota/trunk/man/pl/pkrefund.1 (revision 3069)
@@ -54,4 +54,22 @@
 Job's date of printing
 .IP
+Dates formatting with 'start' and 'end' filter keys :
+.IP
+YYYY : year boundaries
+YYYYMM : month boundaries
+YYYYMMDD : day boundaries
+YYYYMMDDhh : hour boundaries
+YYYYMMDDhhmm : minute boundaries
+YYYYMMDDhhmmss : second boundaries
+yesterday[+\-NbDays] : yesterday more or less N days (e.g. : yesterday\-15)
+today[+\-NbDays] : today more or less N days (e.g. : today\-15)
+tomorrow[+\-NbDays] : tomorrow more or less N days (e.g. : tomorrow\-15)
+now[+\-NbDays] : now more or less N days (e.g. now\-15)
+.IP
+\&'now' and 'today' are not exactly the same since today represents the first
+or last second of the day depending on if it's used in a start= or end=
+date expression. The utility to be able to specify dates in the future is
+a question which remains to be answered :\-)
+.IP
 Contrary to other PyKota management tools, wildcard characters are not
 expanded, so you can't use them.
Index: /pykota/trunk/man/pt/pkinvoice.1
===================================================================
--- /pykota/trunk/man/pt/pkinvoice.1 (revision 3065)
+++ /pykota/trunk/man/pt/pkinvoice.1 (revision 3069)
@@ -59,5 +59,5 @@
 used, a wildcard of '*' is assumed, meaning include all users.
 .IP
-Dates formating with \fB\-\-start\fR and \fB\-\-end\fR :
+Dates formatting with \fB\-\-start\fR and \fB\-\-end\fR :
 .IP
 YYYY : year boundaries
Index: /pykota/trunk/man/pt/pkrefund.1
===================================================================
--- /pykota/trunk/man/pt/pkrefund.1 (revision 3065)
+++ /pykota/trunk/man/pt/pkrefund.1 (revision 3069)
@@ -54,4 +54,22 @@
 Job's date of printing
 .IP
+Dates formatting with 'start' and 'end' filter keys :
+.IP
+YYYY : year boundaries
+YYYYMM : month boundaries
+YYYYMMDD : day boundaries
+YYYYMMDDhh : hour boundaries
+YYYYMMDDhhmm : minute boundaries
+YYYYMMDDhhmmss : second boundaries
+yesterday[+\-NbDays] : yesterday more or less N days (e.g. : yesterday\-15)
+today[+\-NbDays] : today more or less N days (e.g. : today\-15)
+tomorrow[+\-NbDays] : tomorrow more or less N days (e.g. : tomorrow\-15)
+now[+\-NbDays] : now more or less N days (e.g. now\-15)
+.IP
+\&'now' and 'today' are not exactly the same since today represents the first
+or last second of the day depending on if it's used in a start= or end=
+date expression. The utility to be able to specify dates in the future is
+a question which remains to be answered :\-)
+.IP
 Contrary to other PyKota management tools, wildcard characters are not
 expanded, so you can't use them.
Index: /pykota/trunk/man/tr/pkinvoice.1
===================================================================
--- /pykota/trunk/man/tr/pkinvoice.1 (revision 3065)
+++ /pykota/trunk/man/tr/pkinvoice.1 (revision 3069)
@@ -59,5 +59,5 @@
 used, a wildcard of '*' is assumed, meaning include all users.
 .IP
-Dates formating with \fB\-\-start\fR and \fB\-\-end\fR :
+Dates formatting with \fB\-\-start\fR and \fB\-\-end\fR :
 .IP
 YYYY : year boundaries
Index: /pykota/trunk/man/tr/pkrefund.1
===================================================================
--- /pykota/trunk/man/tr/pkrefund.1 (revision 3065)
+++ /pykota/trunk/man/tr/pkrefund.1 (revision 3069)
@@ -54,4 +54,22 @@
 Job's date of printing
 .IP
+Dates formatting with 'start' and 'end' filter keys :
+.IP
+YYYY : year boundaries
+YYYYMM : month boundaries
+YYYYMMDD : day boundaries
+YYYYMMDDhh : hour boundaries
+YYYYMMDDhhmm : minute boundaries
+YYYYMMDDhhmmss : second boundaries
+yesterday[+\-NbDays] : yesterday more or less N days (e.g. : yesterday\-15)
+today[+\-NbDays] : today more or less N days (e.g. : today\-15)
+tomorrow[+\-NbDays] : tomorrow more or less N days (e.g. : tomorrow\-15)
+now[+\-NbDays] : now more or less N days (e.g. now\-15)
+.IP
+\&'now' and 'today' are not exactly the same since today represents the first
+or last second of the day depending on if it's used in a start= or end=
+date expression. The utility to be able to specify dates in the future is
+a question which remains to be answered :\-)
+.IP
 Contrary to other PyKota management tools, wildcard characters are not
 expanded, so you can't use them.
Index: /pykota/trunk/man/el_GR/pkinvoice.1
===================================================================
--- /pykota/trunk/man/el_GR/pkinvoice.1 (revision 3065)
+++ /pykota/trunk/man/el_GR/pkinvoice.1 (revision 3069)
@@ -59,5 +59,5 @@
 used, a wildcard of '*' is assumed, meaning include all users.
 .IP
-Dates formating with \fB\-\-start\fR and \fB\-\-end\fR :
+Dates formatting with \fB\-\-start\fR and \fB\-\-end\fR :
 .IP
 YYYY : year boundaries
Index: /pykota/trunk/man/el_GR/pkrefund.1
===================================================================
--- /pykota/trunk/man/el_GR/pkrefund.1 (revision 3065)
+++ /pykota/trunk/man/el_GR/pkrefund.1 (revision 3069)
@@ -54,4 +54,22 @@
 Job's date of printing
 .IP
+Dates formatting with 'start' and 'end' filter keys :
+.IP
+YYYY : year boundaries
+YYYYMM : month boundaries
+YYYYMMDD : day boundaries
+YYYYMMDDhh : hour boundaries
+YYYYMMDDhhmm : minute boundaries
+YYYYMMDDhhmmss : second boundaries
+yesterday[+\-NbDays] : yesterday more or less N days (e.g. : yesterday\-15)
+today[+\-NbDays] : today more or less N days (e.g. : today\-15)
+tomorrow[+\-NbDays] : tomorrow more or less N days (e.g. : tomorrow\-15)
+now[+\-NbDays] : now more or less N days (e.g. now\-15)
+.IP
+\&'now' and 'today' are not exactly the same since today represents the first
+or last second of the day depending on if it's used in a start= or end=
+date expression. The utility to be able to specify dates in the future is
+a question which remains to be answered :\-)
+.IP
 Contrary to other PyKota management tools, wildcard characters are not
 expanded, so you can't use them.
Index: /pykota/trunk/man/zh_TW/pkinvoice.1
===================================================================
--- /pykota/trunk/man/zh_TW/pkinvoice.1 (revision 3065)
+++ /pykota/trunk/man/zh_TW/pkinvoice.1 (revision 3069)
@@ -59,5 +59,5 @@
 used, a wildcard of '*' is assumed, meaning include all users.
 .IP
-Dates formating with \fB\-\-start\fR and \fB\-\-end\fR :
+Dates formatting with \fB\-\-start\fR and \fB\-\-end\fR :
 .IP
 YYYY : year boundaries
Index: /pykota/trunk/man/zh_TW/pkrefund.1
===================================================================
--- /pykota/trunk/man/zh_TW/pkrefund.1 (revision 3065)
+++ /pykota/trunk/man/zh_TW/pkrefund.1 (revision 3069)
@@ -54,4 +54,22 @@
 Job's date of printing
 .IP
+Dates formatting with 'start' and 'end' filter keys :
+.IP
+YYYY : year boundaries
+YYYYMM : month boundaries
+YYYYMMDD : day boundaries
+YYYYMMDDhh : hour boundaries
+YYYYMMDDhhmm : minute boundaries
+YYYYMMDDhhmmss : second boundaries
+yesterday[+\-NbDays] : yesterday more or less N days (e.g. : yesterday\-15)
+today[+\-NbDays] : today more or less N days (e.g. : today\-15)
+tomorrow[+\-NbDays] : tomorrow more or less N days (e.g. : tomorrow\-15)
+now[+\-NbDays] : now more or less N days (e.g. now\-15)
+.IP
+\&'now' and 'today' are not exactly the same since today represents the first
+or last second of the day depending on if it's used in a start= or end=
+date expression. The utility to be able to specify dates in the future is
+a question which remains to be answered :\-)
+.IP
 Contrary to other PyKota management tools, wildcard characters are not
 expanded, so you can't use them.
Index: /pykota/trunk/man/es/pkinvoice.1
===================================================================
--- /pykota/trunk/man/es/pkinvoice.1 (revision 3065)
+++ /pykota/trunk/man/es/pkinvoice.1 (revision 3069)
@@ -59,5 +59,5 @@
 used, a wildcard of '*' is assumed, meaning include all users.
 .IP
-Dates formating with \fB\-\-start\fR and \fB\-\-end\fR :
+Dates formatting with \fB\-\-start\fR and \fB\-\-end\fR :
 .IP
 YYYY : year boundaries
Index: /pykota/trunk/man/es/pkrefund.1
===================================================================
--- /pykota/trunk/man/es/pkrefund.1 (revision 3065)
+++ /pykota/trunk/man/es/pkrefund.1 (revision 3069)
@@ -54,4 +54,22 @@
 Job's date of printing
 .IP
+Dates formatting with 'start' and 'end' filter keys :
+.IP
+YYYY : year boundaries
+YYYYMM : month boundaries
+YYYYMMDD : day boundaries
+YYYYMMDDhh : hour boundaries
+YYYYMMDDhhmm : minute boundaries
+YYYYMMDDhhmmss : second boundaries
+yesterday[+\-NbDays] : yesterday more or less N days (e.g. : yesterday\-15)
+today[+\-NbDays] : today more or less N days (e.g. : today\-15)
+tomorrow[+\-NbDays] : tomorrow more or less N days (e.g. : tomorrow\-15)
+now[+\-NbDays] : now more or less N days (e.g. now\-15)
+.IP
+\&'now' and 'today' are not exactly the same since today represents the first
+or last second of the day depending on if it's used in a start= or end=
+date expression. The utility to be able to specify dates in the future is
+a question which remains to be answered :\-)
+.IP
 Contrary to other PyKota management tools, wildcard characters are not
 expanded, so you can't use them.
Index: /pykota/trunk/man/it/pkinvoice.1
===================================================================
--- /pykota/trunk/man/it/pkinvoice.1 (revision 3065)
+++ /pykota/trunk/man/it/pkinvoice.1 (revision 3069)
@@ -59,5 +59,5 @@
 used, a wildcard of '*' is assumed, meaning include all users.
 .IP
-Dates formating with \fB\-\-start\fR and \fB\-\-end\fR :
+Dates formatting with \fB\-\-start\fR and \fB\-\-end\fR :
 .IP
 YYYY : year boundaries
Index: /pykota/trunk/man/it/pkrefund.1
===================================================================
--- /pykota/trunk/man/it/pkrefund.1 (revision 3065)
+++ /pykota/trunk/man/it/pkrefund.1 (revision 3069)
@@ -54,4 +54,22 @@
 Job's date of printing
 .IP
+Dates formatting with 'start' and 'end' filter keys :
+.IP
+YYYY : year boundaries
+YYYYMM : month boundaries
+YYYYMMDD : day boundaries
+YYYYMMDDhh : hour boundaries
+YYYYMMDDhhmm : minute boundaries
+YYYYMMDDhhmmss : second boundaries
+yesterday[+\-NbDays] : yesterday more or less N days (e.g. : yesterday\-15)
+today[+\-NbDays] : today more or less N days (e.g. : today\-15)
+tomorrow[+\-NbDays] : tomorrow more or less N days (e.g. : tomorrow\-15)
+now[+\-NbDays] : now more or less N days (e.g. now\-15)
+.IP
+\&'now' and 'today' are not exactly the same since today represents the first
+or last second of the day depending on if it's used in a start= or end=
+date expression. The utility to be able to specify dates in the future is
+a question which remains to be answered :\-)
+.IP
 Contrary to other PyKota management tools, wildcard characters are not
 expanded, so you can't use them.
Index: /pykota/trunk/man/pkrefund.1
===================================================================
--- /pykota/trunk/man/pkrefund.1 (revision 3065)
+++ /pykota/trunk/man/pkrefund.1 (revision 3069)
@@ -54,4 +54,22 @@
 Job's date of printing
 .IP
+Dates formatting with 'start' and 'end' filter keys :
+.IP
+YYYY : year boundaries
+YYYYMM : month boundaries
+YYYYMMDD : day boundaries
+YYYYMMDDhh : hour boundaries
+YYYYMMDDhhmm : minute boundaries
+YYYYMMDDhhmmss : second boundaries
+yesterday[+\-NbDays] : yesterday more or less N days (e.g. : yesterday\-15)
+today[+\-NbDays] : today more or less N days (e.g. : today\-15)
+tomorrow[+\-NbDays] : tomorrow more or less N days (e.g. : tomorrow\-15)
+now[+\-NbDays] : now more or less N days (e.g. now\-15)
+.IP
+\&'now' and 'today' are not exactly the same since today represents the first
+or last second of the day depending on if it's used in a start= or end=
+date expression. The utility to be able to specify dates in the future is
+a question which remains to be answered :\-)
+.IP
 Contrary to other PyKota management tools, wildcard characters are not
 expanded, so you can't use them.
Index: /pykota/trunk/po/sv_SE/pykota.po
===================================================================
--- /pykota/trunk/po/sv_SE/pykota.po (revision 2937)
+++ /pykota/trunk/po/sv_SE/pykota.po (revision 3069)
@@ -1666,5 +1666,5 @@
 "  used, a wildcard of '*' is assumed, meaning include all users.\n"
 "  \n"
-"  Dates formating with --start and --end :\n"
+"  Dates formatting with --start and --end :\n"
 "  \n"
 "    YYYY : year boundaries\n"
Index: /pykota/trunk/po/pt/pykota.po
===================================================================
--- /pykota/trunk/po/pt/pykota.po (revision 2937)
+++ /pykota/trunk/po/pt/pykota.po (revision 3069)
@@ -1651,5 +1651,5 @@
 "  used, a wildcard of '*' is assumed, meaning include all users.\n"
 "  \n"
-"  Dates formating with --start and --end :\n"
+"  Dates formatting with --start and --end :\n"
 "  \n"
 "    YYYY : year boundaries\n"
Index: /pykota/trunk/po/tr/pykota.po
===================================================================
--- /pykota/trunk/po/tr/pykota.po (revision 2937)
+++ /pykota/trunk/po/tr/pykota.po (revision 3069)
@@ -1656,5 +1656,5 @@
 "  used, a wildcard of '*' is assumed, meaning include all users.\n"
 "  \n"
-"  Dates formating with --start and --end :\n"
+"  Dates formatting with --start and --end :\n"
 "  \n"
 "    YYYY : year boundaries\n"
Index: /pykota/trunk/po/el_GR/pykota.po
===================================================================
--- /pykota/trunk/po/el_GR/pykota.po (revision 2937)
+++ /pykota/trunk/po/el_GR/pykota.po (revision 3069)
@@ -1651,5 +1651,5 @@
 "  used, a wildcard of '*' is assumed, meaning include all users.\n"
 "  \n"
-"  Dates formating with --start and --end :\n"
+"  Dates formatting with --start and --end :\n"
 "  \n"
 "    YYYY : year boundaries\n"
Index: /pykota/trunk/po/de/pykota.po
===================================================================
--- /pykota/trunk/po/de/pykota.po (revision 2937)
+++ /pykota/trunk/po/de/pykota.po (revision 3069)
@@ -1650,5 +1650,5 @@
 "  used, a wildcard of '*' is assumed, meaning include all users.\n"
 "  \n"
-"  Dates formating with --start and --end :\n"
+"  Dates formatting with --start and --end :\n"
 "  \n"
 "    YYYY : year boundaries\n"
Index: /pykota/trunk/po/zh_TW/pykota.po
===================================================================
--- /pykota/trunk/po/zh_TW/pykota.po (revision 3054)
+++ /pykota/trunk/po/zh_TW/pykota.po (revision 3069)
@@ -1636,5 +1636,5 @@
 "  used, a wildcard of '*' is assumed, meaning include all users.\n"
 "  \n"
-"  Dates formating with --start and --end :\n"
+"  Dates formatting with --start and --end :\n"
 "  \n"
 "    YYYY : year boundaries\n"
Index: /pykota/trunk/po/nb_NO/pykota.po
===================================================================
--- /pykota/trunk/po/nb_NO/pykota.po (revision 2937)
+++ /pykota/trunk/po/nb_NO/pykota.po (revision 3069)
@@ -1660,5 +1660,5 @@
 "  used, a wildcard of '*' is assumed, meaning include all users.\n"
 "  \n"
-"  Dates formating with --start and --end :\n"
+"  Dates formatting with --start and --end :\n"
 "  \n"
 "    YYYY : year boundaries\n"
Index: /pykota/trunk/po/pt_BR/pykota.po
===================================================================
--- /pykota/trunk/po/pt_BR/pykota.po (revision 2937)
+++ /pykota/trunk/po/pt_BR/pykota.po (revision 3069)
@@ -1648,5 +1648,5 @@
 "  used, a wildcard of '*' is assumed, meaning include all users.\n"
 "  \n"
-"  Dates formating with --start and --end :\n"
+"  Dates formatting with --start and --end :\n"
 "  \n"
 "    YYYY : year boundaries\n"
Index: /pykota/trunk/po/fr/pykota.po
===================================================================
--- /pykota/trunk/po/fr/pykota.po (revision 2937)
+++ /pykota/trunk/po/fr/pykota.po (revision 3069)
@@ -2646,5 +2646,5 @@
 "  used, a wildcard of '*' is assumed, meaning include all users.\n"
 "  \n"
-"  Dates formating with --start and --end :\n"
+"  Dates formatting with --start and --end :\n"
 "  \n"
 "    YYYY : year boundaries\n"
Index: /pykota/trunk/po/es/pykota.po
===================================================================
--- /pykota/trunk/po/es/pykota.po (revision 2937)
+++ /pykota/trunk/po/es/pykota.po (revision 3069)
@@ -1667,5 +1667,5 @@
 "  used, a wildcard of '*' is assumed, meaning include all users.\n"
 "  \n"
-"  Dates formating with --start and --end :\n"
+"  Dates formatting with --start and --end :\n"
 "  \n"
 "    YYYY : year boundaries\n"
Index: /pykota/trunk/po/pykota.pot
===================================================================
--- /pykota/trunk/po/pykota.pot (revision 2937)
+++ /pykota/trunk/po/pykota.pot (revision 3069)
@@ -1630,5 +1630,5 @@
 "  used, a wildcard of '*' is assumed, meaning include all users.\n"
 "  \n"
-"  Dates formating with --start and --end :\n"
+"  Dates formatting with --start and --end :\n"
 "  \n"
 "    YYYY : year boundaries\n"
Index: /pykota/trunk/po/th/pykota.po
===================================================================
--- /pykota/trunk/po/th/pykota.po (revision 2937)
+++ /pykota/trunk/po/th/pykota.po (revision 3069)
@@ -1644,5 +1644,5 @@
 "  used, a wildcard of '*' is assumed, meaning include all users.\n"
 "  \n"
-"  Dates formating with --start and --end :\n"
+"  Dates formatting with --start and --end :\n"
 "  \n"
 "    YYYY : year boundaries\n"
Index: /pykota/trunk/po/pl/pykota.po
===================================================================
--- /pykota/trunk/po/pl/pykota.po (revision 2937)
+++ /pykota/trunk/po/pl/pykota.po (revision 3069)
@@ -2163,5 +2163,5 @@
 "  used, a wildcard of '*' is assumed, meaning include all users.\n"
 "  \n"
-"  Dates formating with --start and --end :\n"
+"  Dates formatting with --start and --end :\n"
 "  \n"
 "    YYYY : year boundaries\n"
Index: /pykota/trunk/po/it/pykota.po
===================================================================
--- /pykota/trunk/po/it/pykota.po (revision 2937)
+++ /pykota/trunk/po/it/pykota.po (revision 3069)
@@ -1653,5 +1653,5 @@
 "  used, a wildcard of '*' is assumed, meaning include all users.\n"
 "  \n"
-"  Dates formating with --start and --end :\n"
+"  Dates formatting with --start and --end :\n"
 "  \n"
 "    YYYY : year boundaries\n"