Index: pykota/trunk/man/pt/pkinvoice.1
===================================================================
--- pykota/trunk/man/pt/pkinvoice.1 (revision 3069)
+++ pykota/trunk/man/pt/pkinvoice.1 (revision 3094)
@@ -2,7 +2,7 @@
 .TH PKINVOICE "1" "novembre 2006" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkinvoice \- page de manuel de pkinvoice 1.25alpha16_unofficial
+pkinvoice \- page de manuel de pkinvoice 1.25alpha18_unofficial
 .SH DESCRIPTION
-pkinvoice v1.25alpha16_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
+pkinvoice v1.25alpha18_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
 .PP
 An invoice generator for PyKota.
@@ -10,5 +10,5 @@
 command line usage :
 .IP
-pkinvoice [options] user1 user2 ... userN
+pkinvoice [options] [filterexpr]
 .PP
 options :
@@ -49,15 +49,34 @@
 exposed. The default is 0.0, meaning no VAT
 information will be included.
+.IP
+Use the filter expressions to extract only parts of the
+datas. Allowed filters are of the form :
+.IP
+key=value
+.IP
+Allowed keys for now are :
 .TP
-\fB\-s\fR | \fB\-\-start\fR date
-Sets the starting date for the print jobs invoiced.
+username
+User's name
 .TP
-\fB\-e\fR | \fB\-\-end\fR date
-Sets the ending date for the print jobs invoiced.
+printername
+Printer's name
+.TP
+hostname
+Client's hostname
+.TP
+jobid
+Job's Id
+.TP
+billingcode
+Job's billing code
+.TP
+start
+Job's date of printing
+.TP
+end
+Job's date of printing
 .IP
-user1 through userN can use wildcards if needed. If no user argument is
-used, a wildcard of '*' is assumed, meaning include all users.
-.IP
-Dates formatting with \fB\-\-start\fR and \fB\-\-end\fR :
+Dates formatting with 'start' and 'end' filter keys :
 .IP
 YYYY : year boundaries
@@ -76,8 +95,11 @@
 date expression. The utility to be able to specify dates in the future is
 a question which remains to be answered :\-)
+.IP
+Contrary to other PyKota management tools, wildcard characters are not
+expanded, so you can't use them.
 .PP
 examples :
 .IP
-\f(CW$ pkinvoice --unit EURO --output invoices.pdf --start=now-30\fR
+\f(CW$ pkinvoice --unit EURO --output /tmp/invoices.pdf start=now-30\fR
 .IP
 Will generate a PDF document containing invoices for all users
Index: pykota/trunk/man/pt/dumpykota.1
===================================================================
--- pykota/trunk/man/pt/dumpykota.1 (revision 3065)
+++ pykota/trunk/man/pt/dumpykota.1 (revision 3094)
@@ -2,7 +2,7 @@
 .TH DUMPYKOTA "1" "novembre 2006" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-dumpykota \- page de manuel de dumpykota 1.25alpha16_unofficial
+dumpykota \- page de manuel de dumpykota 1.25alpha18_unofficial
 .SH DESCRIPTION
-dumpykota v1.25alpha16_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
+dumpykota v1.25alpha18_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
 .PP
 Dumps PyKota database's content.
@@ -86,4 +86,7 @@
 Client's hostname
 .TP
+jobid
+Job's Id
+.TP
 billingcode
 Job's billing code
@@ -94,4 +97,22 @@
 end
 Job's date of printing
+.IP
+Dates formatting with 'start' and 'end' filter keys :
+.IP
+YYYY : year boundaries
+YYYYMM : month boundaries
+YYYYMMDD : day boundaries
+YYYYMMDDhh : hour boundaries
+YYYYMMDDhhmm : minute boundaries
+YYYYMMDDhhmmss : second boundaries
+yesterday[+\-NbDays] : yesterday more or less N days (e.g. : yesterday\-15)
+today[+\-NbDays] : today more or less N days (e.g. : today\-15)
+tomorrow[+\-NbDays] : tomorrow more or less N days (e.g. : tomorrow\-15)
+now[+\-NbDays] : now more or less N days (e.g. now\-15)
+.IP
+\&'now' and 'today' are not exactly the same since today represents the first
+or last second of the day depending on if it's used in a start= or end=
+date expression. The utility to be able to specify dates in the future is
+a question which remains to be answered :\-)
 .IP
 Contrary to other PyKota management tools, wildcard characters are not
Index: pykota/trunk/man/pt/pkrefund.1
===================================================================
--- pykota/trunk/man/pt/pkrefund.1 (revision 3069)
+++ pykota/trunk/man/pt/pkrefund.1 (revision 3094)
@@ -2,7 +2,7 @@
 .TH PKREFUND "1" "novembre 2006" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkrefund \- page de manuel de pkrefund 1.25alpha16_unofficial
+pkrefund \- page de manuel de pkrefund 1.25alpha18_unofficial
 .SH DESCRIPTION
-pkrefund v1.25alpha16_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
+pkrefund v1.25alpha18_unofficial (c) 2003, 2004, 2005, 2006 Jerome Alet \- alet@librelogiciel.com
 .PP
 Refunds jobs.
@@ -25,4 +25,29 @@
 \fB\-r\fR | \fB\-\-reason\fR txt
 Sets textual information to explain the refunding.
+.TP
+\fB\-l\fR | \fB\-\-logo\fR img
+Use the image as the receipt's logo. The logo will
+be drawn at the center top of the page. The default
+logo is /usr/share/pykota/logos/pykota.jpeg
+.TP
+\fB\-p\fR | \fB\-\-pagesize\fR sz
+Sets sz as the page size. Most well known
+page sizes are recognized, like 'A4' or 'Letter'
+to name a few. The default size is A4.
+.TP
+\fB\-n\fR | \fB\-\-number\fR N
+Sets the number of the first receipt. This number
+will automatically be incremented for each receipt.
+.TP
+\fB\-o\fR | \fB\-\-output\fR f.pdf
+Defines the name of the PDF file which will contain
+the receipts. If not set, then no PDF file will
+be created. If set to '\-', then \fB\-\-force\fR is assumed,
+and the PDF document is sent to standard output.
+.TP
+\fB\-u\fR | \fB\-\-unit\fR u
+Defines the name of the unit to use on the receipts.
+The default unit is 'Credits', optionally translated
+to your native language if it is supported by PyKota.
 .IP
 Use the filter expressions to extract only parts of the
@@ -77,9 +102,11 @@
 Examples :
 .IP
-\f(CW$ pkrefund jobid=503\fR
+\f(CW$ pkrefund --output /tmp/receipts.pdf jobid=503\fR
 .IP
 This will refund all jobs which Id is 503. BEWARE : installing CUPS
-afresh will reset the first job id at 1. So you probably want to use
-a more precise filter as explained below
+afresh will reset the first job id at 1, so you probably want to use
+a more precise filter as explained below. A confirmation will
+be asked for each job to refund, and a PDF file named /tmp/receipts.pdf
+will be created which will contain printable receipts.
 .IP
 \f(CW$ pkrefund --reason "Hardware problem" jobid=503 start=today-7\fR