Index: pykota/trunk/docs/installation.sgml
===================================================================
--- pykota/trunk/docs/installation.sgml (revision 2943)
+++ pykota/trunk/docs/installation.sgml (revision 3115)
@@ -35,7 +35,7 @@
     have to decompress and visit its archive, to do so just type the following commands :
     <screen>
-jerome@nordine:~$ tar -zxf pykota-1.24_official.tar.gz    
-jerome@nordine:~$ cd pykota-1.24_official
-jerome@nordine:~/pykota-1.24_official$
+jerome@nordine:~$ tar -zxf pykota-1.25_official.tar.gz    
+jerome@nordine:~$ cd pykota-1.25_official
+jerome@nordine:~/pykota-1.25_official$
     </screen>
   </para>
@@ -160,5 +160,5 @@
         is waiting for your connections, you have to create the print quota database.
         To do so, you'll have to feed <application>PostgreSQL</application> with the
-        <filename>pykota-1.24_official/initscripts/postgresql/pykota-postgresql.sql</filename> file.
+        <filename>pykota-1.25_official/initscripts/postgresql/pykota-postgresql.sql</filename> file.
         This file will create a print quota database administrator in the <application>PostgreSQL</application> system, then create an empty
         print quota database and set some permissions on it. The print quota database administrator
@@ -197,6 +197,6 @@
         From a command line interpreter (i.e. shell), type the following commands :
         <screen>
-jerome@nordine:~$ cd pykota-1.24_official/initscripts/postgresql
-jerome@nordine:~/pykota-1.24_official/initscripts$ psql -h localhost -U postgres template1
+jerome@nordine:~$ cd pykota-1.25_official/initscripts/postgresql
+jerome@nordine:~/pykota-1.25_official/initscripts$ psql -h localhost -U postgres template1
 Welcome to psql, the PostgreSQL interactive terminal.
 
@@ -233,5 +233,5 @@
 pykota=# ALTER USER pykotauser PASSWORD 'anotherpassword';
 pykota=# \q
-jerome@nordine:~/pykota-1.24_official/initscripts/postgresql$
+jerome@nordine:~/pykota-1.25_official/initscripts/postgresql$
         </screen>
       </para>
@@ -261,5 +261,5 @@
       
       <para>
-        For more details, please see <filename>initscripts/mysql/README.mysql</filename>.
+        For more details, please see <filename>initscripts/mysql/README.postgresql</filename>.
       </para>
       
@@ -479,5 +479,5 @@
         is waiting for your connections, you have to create the print quota database.
         To do so, you'll have to feed <application>MySQL</application> with the
-        <filename>pykota-1.24_official/initscripts/mysql/pykota-mysql.sql</filename> file.
+        <filename>pykota-1.25_official/initscripts/mysql/pykota-mysql.sql</filename> file.
         This file will create an empty
         print quota database and set some permissions on it. 
@@ -506,6 +506,6 @@
         From a command line interpreter (i.e. shell), type the following commands :
         <screen>
-jerome@nordine:~$ cd pykota-1.24_official/initscripts/mysql
-jerome@nordine:~/pykota-1.24_official/initscripts$ mysql &lt;pykota-mysql.sql
+jerome@nordine:~$ cd pykota-1.25_official/initscripts/mysql
+jerome@nordine:~/pykota-1.25_official/initscripts$ mysql &lt;pykota-mysql.sql
         </screen>
         <note>
@@ -642,5 +642,6 @@
         <listitem>
           <para>
-            <application>CUPS</application> version 1.1.14 or above.
+            <application>CUPS</application> version 1.1.14 or higher, version 1.2.4 or higher
+            is recommanded.
             You can download it from <ulink url="http://www.cups.org">http://www.cups.org</ulink>
           </para>
@@ -648,8 +649,8 @@
         <listitem>
           <para>
-            <application>Python</application> version 2.2 or above.
+            <application>Python</application> version 2.3 or higher.
             You can download it from <ulink url="http://www.python.org">http://www.python.org</ulink>.
             While <application>PyKota</application> itself will try to preserve compatibility
-            with <application>Python</application> version 2.2 for the near future, some <application>Python</application>
+            with <application>Python</application> version 2.3 for the near future, some <application>Python</application>
             modules which are needed by <application>PyKota</application> may require a more recent version
             of this language.
@@ -757,5 +758,6 @@
             the <command>snmpget</command> command.
             You can download this software from <ulink url="http://www.sourceforge.net/projects/net-snmp/">http://www.sourceforge.net/projects/net-snmp/</ulink>.
-            You only need this if you plan to query your printers for their internal page counter via SNMP.
+            You only need this if PyKota's internal SNMP accounting code doesn't work for your SNMP-aware
+            printers.
           </para>
         </listitem>  
@@ -784,5 +786,5 @@
         <listitem>
           <para>
-            The <application>pysnmp</application> Python module version 3.4.2, or higher. 
+            The <application>pysnmp</application> Python module version 3.4.2, or higher, version 4 is recommanded.
             You can download it from <ulink url="http://pysnmp.sourceforge.net">http://pysnmp.sourceforge.net</ulink>.
           </para>
@@ -815,5 +817,5 @@
           <para>
             The <application>pkpgcounter</application> Generic Page Description Language parser. 
-            You can download it from <ulink url="http://www.pykota.com.com/software/pkpgcounter">http://www.pykota.com.com/software/pkpgcounter</ulink>.
+            You can download it from <ulink url="http://www.pykota.com.com/software/pkpgcounter">http://www.pykota.com/software/pkpgcounter</ulink>.
           </para>
         </listitem>  
@@ -935,7 +937,7 @@
       to give the correct permissions to <application>PyKota</application>'s configuration files :
       <screen>
-$ chown pykota.pykota ~pykota/pykota.conf      
+$ chown -R pykota.pykota ~pykota/      
+$ chmod 750 ~pykota/
 $ chmod 644 ~pykota/pykota.conf      
-$ chown pykota.pykota ~pykota/pykotadmin.conf      
 $ chmod 640 ~pykota/pykotadmin.conf      
       </screen>
@@ -954,7 +956,7 @@
       On some systems, you may be able to strenghten permissions like this :
       <screen>
-$ chown pykota.pykota ~pykota/pykota.conf      
+$ chown -R pykota.pykota ~pykota/      
+$ chmod 750 ~pykota/
 $ chmod 640 ~pykota/pykota.conf      
-$ chown pykota.pykota ~pykota/pykotadmin.conf      
 $ chmod 600 ~pykota/pykotadmin.conf      
       </screen>
@@ -964,4 +966,6 @@
       And on other ones, you may need to relax them, and change the files' owner :
       <screen>
+$ chown pykota.pykota ~pykota/      
+$ chmod 755 ~pykota/
 $ chown lp.pykota ~pykota/pykota.conf      
 $ chmod 640 ~pykota/pykota.conf      
@@ -1029,5 +1033,5 @@
       
       <para>
-        If you use CUPS v1.2 or higher, it is recommended that you
+        If you use CUPS v1.2 or higher, you must
         also type the following command to allow the <command>cupspykota</command>
         backend to correctly support other backends which must be run